polybori::cached_deg< NavigatorType > Struct Template Reference

`#include <CTermStack.h>`

## Public Types

typedef CDegreeCache< BooleSet > | cache_type
typedef cache_type::manager_type | manager_type

## Public Member Functions

| cached_deg (const manager_type &mgr)
NavigatorType::deg_type | operator() (NavigatorType navi) const

## Public Attributes

cache_type | m_deg_cache

## Member Typedef Documentation

template<class NavigatorType>

typedef CDegreeCache<BooleSet> polybori::cached_deg< NavigatorType >::cache_type

template<class NavigatorType>

typedef cache_type::manager_type polybori::cached_deg< NavigatorType >::manager_type

## Constructor & Destructor Documentation

template<class NavigatorType>

polybori::cached_deg< NavigatorType >::cached_deg | ( | const manager_type & | mgr | ) |

inline

## Member Function Documentation

template<class NavigatorType>

NavigatorType::deg_type polybori::cached_deg< NavigatorType >::operator() | ( | NavigatorType | navi | ) | const

inline

## Member Data Documentation

template<class NavigatorType>

cache_type polybori::cached_deg< NavigatorType >::m_deg_cache

The documentation for this struct was generated from the following file:

- CTermStack.h